System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

The class is used as a basic structure to store three related objects. It is a utility class that is used in various ways throughout ASP.NET. You can use the class in your own code anywhere that you need a structure to contain three related objects and where data-hiding is not essential. The class does not encapsulate its object references, , , and , in properties; it exposes them directly to all calling code as public class fields.

Provides a basic utility class that is used to store three related objects.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class and sets the first two objects.

  Object assigned to .
  Object assigned to .
  1.0.5000.0
  2.0.0.0
- Constructor
  To be added

  Initializes a new instance of the class with the provided three objects.

  Object assigned to .
  Object assigned to .
  Object assigned to .
  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  Gets or sets the first object of the triplet.

  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  Gets or sets the second object of the triplet.

  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added

  Gets or sets the third object of the triplet.

  1.0.5000.0
  2.0.0.0